# 49. Consulta: Obter dados em grade de "FieldSatelliteImage"

Consulta para obter dados em grade do conjunto raster relacionado a "FieldSatelliteImage" como `GEOJSON`  com pontos ou `GEOTIFF`. O atributo properties depende do provedor e geralmente contém os dados originais do provedor (como RED, GREEN, BLUE, NIR e até Clear Land) por ponto/pixel. Mais detalhes sobre o arquivo exportado podem ser encontrados [AQUI](/geopard-tutorials/pt-br/tour-do-produto-aplicativo-web/exportar-baixar/exportar-imagens-de-satelite-como-geotiff-ou-geojson.md).

#### 1. Solicite um arquivo para exportar

{% hint style="danger" %}
Recomendado recuperar apenas um único conjunto de dados com `sourceDataUrl` por solicitação.&#x20;
{% endhint %}

`NoBuffer`, `PlusOnePixel`, `PlusTwoPixels`, `MinusOnePixel`, e `MinusTwoPixels` estão disponíveis como um `buffer`.

`GEOJSON` e `GEOTIFF` estão disponíveis como um formato.&#x20;

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetGriddedDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        satelliteImage {
          uuid
          acquisitionDate
          provider
        }
        sourceDataUrl(format: GEOJSON buffer: PlusTwoPixels)
      }
    }
  }
}
```

{% endcode %}

#### 2. Faça o download do arquivo gerado

Após a preparação bem-sucedida do arquivo, é possível baixá-lo usando `curl` ou uma abordagem similar.

{% hint style="danger" %}
`sourceDataUrl` o link é acessível por apenas **60 seg.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<sourceDataUrl>' --compressed >> '<local_filepath>'
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/pt-br/docs-da-api/visao-geral-das-solicitacoes-da-api-do-geopard/49.-consulta-obter-dados-em-grade-de-fieldsatelliteimage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
